.login-form {
    max-width: 364px;
    margin: 64px auto;
}

.login-form__title {
    text-align: center;
    font-size: 24px;
    margin-bottom: 20px;
    font-style: normal;
    font-weight: 700;
    line-height: normal;
    color: var(--auto1-black);
}

.login-form__bg {
    padding: 32px;
    border-radius: 4px;
    background-color: var(--auto1-white);
}

.login-form__text-error {
    width: 100%;
    text-align: center;
    margin: 0 0 16px 0;
    font-size: 16px;
    font-style: normal;
    font-weight: 700;
    line-height: normal;
    color: var(--auto1-red);
}

.login-form__label {
    width: 100%;
    margin: 16px 0;
    font-family: Helvetica;
    font-size: 16px;
    font-style: normal;
    font-weight: 700;
    line-height: normal;
    color: var(--auto1-black);
}

.login-form__input {
    width: 100%;
    height: 40px;
    padding: 0px 16px;
    margin: 16px 0;
    border: 1px solid var(--auto1-grey);
    border-radius: 4px;
    box-sizing: border-box;
    font-family: Helvetica;
    font-size: 16px;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
    color: var(--auto1-black);
}

.login-form__button {
    width: 100%;
    height: 40px;
    padding: 0px 16px;
    border: none;
    border-radius: 5px;
    background-color: var(--auto1-orange);
    color: var(--auto1-white);
    cursor: pointer;
    box-sizing: border-box;
    font-size: 16px;
    font-style: normal;
    font-weight: 700;
    line-height: normal;
}

.login-form__button:hover {
    background-color: var(--auto1-orange);
}

@media screen and (orientation: landscape) {
    .login-form {
        width: 50%; /* For horizontal orientation on iPad mini, inputs take 50% width */
    }
}

@media screen and (orientation: portrait) {
    .login-form {
        width: 80%; /* For vertical orientation on iPad mini, inputs take 80% width */
    }
}
